% La fonction "mb_rappel" fait les simulations de l'exercice 1 (il suffit
% de changer les paramètres dans les premières lignes du code pour traiter
% les différents cas), et affiche le résultat.
function mb_rappel (X0, T)
% Définition des macros. Je commence par les paramètres du modèle.
K = 6;
SIGMA = 1;
F = 1;
% Paramètres de la simulation.
NPAS = 2048;
% Maintenant je calcule le pas de temps correspondant à mes paramètres.
pas = T / NPAS;
% Je stocke les temps de simulation considérés dans un vecteur.
temps = (0: NPAS) * pas;
% Allocation de la mémoire pour les valeurs du processus aux différents
% temps.
valeurs = zeros (1, NPAS + 1);
% xt est la position courante du processus.
xt = X0;
valeurs(1) = xt;
% Boucle du schéma d'Euler stochastique.
for i = 1: NPAS
    % dW est d'accroissement brownien standard.
    dW = sqrt (pas) * randn;
    % On met à jour "xt".
    xt = xt + SIGMA * dW - K * F * sign (xt) * abs (xt) ^ (K - 1) * pas;
    % On enregistre xt dans la case correspondante de "valeurs". (Attention
    % au décalage d'indices...).
    valeurs(i + 1) = xt;
end
% Tracé du résultat
plot (temps, valeurs, '-');
title ('Simulation du processus de l''exercice 1');
return
end

