function brownien_couple(temps)
% fonction donnant l'évolution du couple (X_t,V_t) aux points de sauts de V
VETOILE=1;SIGMA2=2;LAMBDA=1;V_0=0.5;% Macros de V et X
X_0=0;ALPHA=2; EPSILON=0.02;t=0;
    V=V_0; % V vecteur contenant les différentes valeurs de V_t au cours du temps
    X=X_0; % X vecteur contenant les différentes valeurs de X_t au cours du temps
    T=t; % T vecteurs temps des sauts

while true
    taux= EPSILON^(-ALPHA)*V(end); % probabilité de saut
    attente=exponentielle(taux);% temps entre 2 sauts : suit la loi exponentielle
    t= t+attente;
    if t> temps;
        break;
    else
        % on ajoute au vecteur V le vecteur au temps suivant
        V(end+1)= V(end)-sqrt(SIGMA2)*V(end)*sqrt(attente)*randn+(1/2*SIGMA2-LAMBDA*log(V (end)/VETOILE))*V(end)* attente;
        % on ajoute au vecteur X le vecteur au temps suivant
        X(end+1)= X(end)+ EPSILON*amplitude_saut()*(rand)^(-1/ALPHA);
        % De même pour t
        T(end+1)= t;
    end    
end

figure;
plot(T,V,'-');
title (' evolution de V_t');
figure;
plot(T,X,'.');
title (' evolution de X_t');
end


% loi exponentielle simule le temps entre 2 sauts succesives
function X= exponentielle(lambda)
X=-log(rand())/lambda;
end


% loi simulant S qui vaut +-1 avec une proba 1/2
function S=amplitude_saut()
if rand > 0.5
    S=1;
else
    S=-1;
end
end

