% La fonction "ou_geom" simule et trace un processus d'Ornstein-Uhlenbeck
% géométrique, comme dans la question 1 de l'exercice 3.
function ou_geom
% Paramètres du modèle (macros).
VETOILE = 1;
SIGMA2 = 2;
LAMBDA = 1;
V0 = .5;
T = 6;
% Pas de simulation choisi (macro).
DT = .002;
% Nombre de pas de la simulation. Notez l'usage de "ceil" pour convertir
% une valeur à priori non-entière en entier (conversion par excès en
% l'occurrence).
nbpas = ceil (T / DT);
temps = (0: nbpas) * DT;
valeurs = zeros (1, nbpas + 1);
% "vt" est la valeur courante du processus.
vt = V0;
valeurs(1) = vt;
% Boucle d'Euler stochastique.
for i = 1: nbpas
    dW = sqrt (DT) * randn;
    % Mise à jour de "vt".
    vt = vt - sqrt (SIGMA2) * vt * dW ...
        + (SIGMA2 / 2 - LAMBDA * log (vt / VETOILE)) * vt * DT;
    % Stockage du résultat en mémoire en vue du tracé. (Attention au
    % décalage d'indices...).
    valeurs(i + 1) = vt;
end
% Tracé du résultat.
plot (temps, valeurs);
title ('Processus d''Ornstein-Uhlenbeck géométrique');
return
end
