function brownien_sphere
T = 2;
PAS = 1 / 4096;
ALPHA = 1;
X0 = [1; 0; 0];

Npas = ceil (T / PAS);
evolution = zeros (3, Npas + 1);
X = X0;
evolution (:, 1) = X;

for i = 1: Npas
    X = X + P (X) * randn (3, 1) * sqrt (PAS) - ALPHA * X * PAS;
    evolution (:, i + 1) = X;
end

temps = (0: Npas) * PAS;
rayons = zeros (1, Npas + 1);
for i = 1: Npas + 1
    rayons(i) = sqrt (evolution(1, i) ^ 2 + evolution(2, i) ^ 2 + ...
        evolution(3, i) ^2);
end
figure;
plot (temps, rayons);
title (['Exercice 4, alpha = ', num2str(ALPHA), ', rayon contre temps']);

figure;
plot3 (evolution (1, :), evolution (2, :), evolution (3, :));
title (['Exercice 4, alpha = ', num2str(ALPHA), ', visualisation 3D']);

return
end

function PX = P (X)
PX = eye (3) - 1 / (X(1) ^ 2 + X(2) ^ 2 + X(3) ^ 2) * (X * X');
return
end
